Create a storage reconciliation job
POST
/v1/tenants/current/storage-reconciliation-jobscurl -X POST 'https://api.embodiflow.io/v1/tenants/current/storage-reconciliation-jobs' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"bucketId": "00000000-0000-0000-0000-000000000000",
"idempotencyKey": "string"
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
请求体
Content-Typeapplication/json
- bucketIdstring (uuid) | null
- idempotencyKeystring | null
响应
Success
- dataobject必填
- jobobject必填
- createdone of必填
响应示例
{
"data": {
"job": {
"id": "string",
"tenantId": "string",
"bucketId": "string",
"status": "queued",
"idempotencyKey": "string",
"severity": "ok",
"mismatchCount": 0,
"occurredAt": "string",
"claimedAt": "string",
"startedAt": "string",
"completedAt": "string",
"failedAt": "string",
"lastError": "string",
"createdAt": "string",
"updatedAt": "string"
},
"created": false
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1